{{!
    This file is part of Moodle - http://moodle.org/

    Moodle is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Moodle is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Moodle.  If not, see <http://www.gnu.org/licenses/>.
}}
{{!
    @template theme_unige/footer

    Page footer.

    Example context (json):
    {
        "output": {
            "page_doc_link": "Help and documentation",
            "supportemail": "<a href=\"#\">Contact site support</a>",
            "has_popover_links": true,
            "services_support": "Services and support",
            "login_info": "You are logged in as cute kitten",
            "moodle_release": "90210"
        }
    }
}}

<footer id="page-footer" class="footer bg-dark text-white">
    {{#footercontent}}
        <div class="helplink">
            {{{ output.page_doc_link }}}
        </div>
        <div class="footer-content container">
            {{#footercolumnleftdisplay}}
                <div class="footer-column col-12 col-lg-2">
                    {{#footercolumnlefttitle}}
                        <h6 class="footer-column-title">{{{footercolumnlefttitle}}}</h6>
                    {{/footercolumnlefttitle}}
                    <ul>
                        {{#footercolumnleftcontent}}
                        <li>
                            <a href="{{{url}}}">{{{text}}}</a>
                        </li>
                        {{/footercolumnleftcontent}}
                    </ul>
                </div>
            {{/footercolumnleftdisplay}}
            {{#footercolumnmiddledisplay}}
                <div class="footer-column col-12 col-lg-2">
                    {{#footercolumnmiddletitle}}
                        <h6 class="footer-column-title">{{{footercolumnmiddletitle}}}</h6>
                    {{/footercolumnmiddletitle}}
                    <ul>
                        {{#footercolumnmiddlecontent}}
                        <li>
                            <a href="{{{url}}}">{{{text}}}</a>
                        </li>
                        {{/footercolumnmiddlecontent}}
                    </ul>
                </div>
            {{/footercolumnmiddledisplay}}
            {{#footercolumnrightdisplay}}
                <div class="footer-column col-12 col-lg-2">
                    {{#footercolumnrighttitle}}
                        <h6 class="footer-column-title">{{{footercolumnrighttitle}}}</h6>
                    {{/footercolumnrighttitle}}
                    <ul>
                        {{#footercolumnrightcontent}}
                        <li>
                            <a href="{{{url}}}">{{{text}}}</a>
                        </li>
                        {{/footercolumnrightcontent}}
                    </ul>
                </div>
            {{/footercolumnrightdisplay}}
            {{#footercolumnaccreditationsdisplay}}
                <div class="footer-column col-12 col-lg-2">
                    {{#footercolumnaccreditationstitle}}
                        <h6 class="footer-column-title">{{{footercolumnaccreditationstitle}}}</h6>
                    {{/footercolumnaccreditationstitle}}
                    <ul>
                        {{#footercolumnaccreditationscontent}}
                        <li>
                            <img class="img-fluid" src="{{{url}}}">
                        </li>
                        {{/footercolumnaccreditationscontent}}
                    </ul>
                </div>
            {{/footercolumnaccreditationsdisplay}}
            {{#enablemobilewebservice}}
                <div class="footer-column col-12 col-lg-2">
                    {{#mobilesetuplink}}
                        <a href="{{{mobilesetuplink}}}">{{#str}}getmoodleonyourmobile, tool_mobile{{/str}}</a>
                    {{/mobilesetuplink}}
                    {{^mobilesetuplink}}
                        <h6 class="footer-column-title">{{#str}}footercolumnmobiletitle, theme_unige{{/str}}</h6>
                    {{/mobilesetuplink}}
                    <div class="stores">
                        {{#androidappid}}
                            <a href="https://play.google.com/store/apps/details?id={{androidappid}}">
                                <img src="{{config.wwwroot}}/theme/unige/pix/store_google.svg" alt="Play Store">
                            </a>
                        {{/androidappid}}
                        {{#iosappid}}
                            <a href="https://apps.apple.com/app/id{{iosappid}}">
                                <img src="{{config.wwwroot}}/theme/unige/pix/store_apple.svg" alt="App Store">
                            </a>
                        {{/iosappid}}
                    </div>
                </div>
            {{/enablemobilewebservice}}
        </div>
    {{/footercontent}}

    <!-- Scroll to top button -->
    <button class="back-to-top btn btn-primary icon-no-margin" data-action="footer-back-to-top">
        <i class="icon fa fa-arrow-up fa-fw" aria-hidden="true"></i>
    </button>

    {{! All the JS includes }}
    {{{ output.standard_end_of_body_html }}}

    <div class="footer-content-debugging footer-dark bg-dark text-light">
        <div class="container-fluid footer-dark-inner">
            {{{ output.debug_footer_html }}}
        </div>
    </div>
</footer>
{{#js}}
require(['theme_unige/footer-back-to-top'], function(FooterBackToTop) {
    FooterBackToTop.init();
});
{{/js}}
